# Generated from empi-0.25.gem by gem2rpm -*- rpm-spec -*-
%global gem_name empi

Name: rubygem-%{gem_name}
Version: 0.25
Release: 1%{?dist}
Summary: A turn-based wargame
License: CC-BY-SA-3.0
URL: http://www.bay12forums.com/smf/index.php?topic=157538
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Empi: Ruby Edition is a turn-based wargame with hotseat
multiplayer, currently in alpha development state. The game is inspired by
Classic Empire, originally from 1977.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Feb 08 2022 mockbuilder - 0.25-1
- Initial package
